## ros-kinetic-arbotix-controllers 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(arbotix_controllers)

find_package(catkin REQUIRED)
catkin_package()

install(
  PROGRAMS
    bin/gripper_controller
    bin/one_side_gripper_controller.py
    bin/parallel_gripper_controller.py
    bin/parallel_single_servo_controller.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-arbotix-controllers (0.10.0-1xenial) xenial; urgency=high

  * Set queue_size=5 on all publishers
  * Check if command exceeds opening limits
  * Contributors: Jorge Santos

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 14 Jul 2014 04:00:00 -0000

ros-kinetic-arbotix-controllers (0.9.2-1xenial) xenial; urgency=high

  * cleanup gripper controllers, mark deprecations
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 12 Feb 2014 05:00:00 -0000

ros-kinetic-arbotix-controllers (0.9.1-1xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-kinetic-arbotix-controllers (0.9.0-1xenial) xenial; urgency=high

  * fix joint_states subscriber
  * fix name of singlesided model
  * add new gripper action controller

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-kinetic-arbotix-controllers (0.8.2-1xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 28 Mar 2013 04:00:00 -0000

ros-kinetic-arbotix-controllers (0.8.1-1xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-kinetic-arbotix-controllers (0.8.0-1xenial) xenial; urgency=high

  * import drivers and catkinize

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Feb 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-arbotix-controllers
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/arbotix_controllers
Standards-Version: 3.9.2

Package: ros-kinetic-arbotix-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-arbotix-python, ros-kinetic-tf, ros-kinetic-trajectory-msgs
Description: Extends the arbotix_python package with a number of more sophisticated ROS wrappers for common devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-arbotix-controllers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
